'use strict';

const path = require('path');

const CONFIG_KEY = "seoMeta";
const nuxtModule = function module(moduleOptions) {
  this.addPlugin({
    src: path.resolve(__dirname, "./runtime/plugin.js"),
    options: {...this.options[CONFIG_KEY], ...moduleOptions},
    fileName: "nuxt-seo-meta/plugin.js"
  });
  const runtimeDir = path.resolve(__dirname, "runtime");
  this.nuxt.options.alias["nuxt-seo-meta/runtime"] = runtimeDir;
  this.nuxt.options.build.transpile.push(runtimeDir, "nuxt-seo-meta", "requrl");
};
nuxtModule.meta = require("../package.json");

module.exports = nuxtModule;
